Bug 85788 - [PATCH] mail/vpopmail: Add sgid to vchkpw
Summary: [PATCH] mail/vpopmail: Add sgid to vchkpw
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: Normal Affects Only Me
Assignee: Peter Pentchev
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2005-09-06 11:50 UTC by Renato Botelho
Modified: 2006-01-27 13:48 UTC (History)
1 user (show)

See Also:


Attachments
vpopmail-5.4.10_4.patch (515 bytes, patch)
2005-09-06 11:50 UTC, Renato Botelho
no flags Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description Renato Botelho freebsd_committer 2005-09-06 11:50:14 UTC
- The option added on ports/85124 don't work if other programs try to
use vpopmail to auth, to all works fine, vchkpw needs ug+s instead u+s.
This is still optional, of course.

Port maintainer (roam@FreeBSD.org) is cc'd.

Generated with FreeBSD Port Tools 0.63
Comment 1 Renato Botelho freebsd_committer 2005-09-06 11:51:17 UTC
Responsible Changed
From-To: freebsd-ports-bugs->roam

Over to the maintainer.
Comment 2 Peter Pentchev 2005-09-06 18:54:28 UTC
Do you think we should also change the name of the knob, since it
no longer actually makes vchkpw suid? :)  Or should we go whole hawg
and make it ug+s, just in case?

G'luck,
Peter

-- 
Peter Pentchev	roam@ringlet.net    roam@cnsys.bg    roam@FreeBSD.org
PGP key:	http://people.FreeBSD.org/~roam/roam.key.asc
Key fingerprint	FDBA FD79 C26F 3C51 C95E  DF9E ED18 B68D 1619 4553
When you are not looking at it, this sentence is in Spanish.
Comment 3 Renato Botelho freebsd_committer 2005-11-04 10:19:02 UTC
Em 6/9/2005 14:54 Peter Pentchev escreveu:
> Do you think we should also change the name of the knob, since it
> no longer actually makes vchkpw suid? :)  Or should we go whole hawg
> and make it ug+s, just in case?

I think there is no problem to maintain this name, or change this.
Do what you believe is the best.

-- 
Renato Botelho <garga @ FreeBSD.org>
               <freebsd @ galle.com.br>
GnuPG Key: http://www.FreeBSD.org/~garga/pubkey.asc
Comment 4 Renato Botelho freebsd_committer 2006-01-23 10:30:00 UTC
Hello roam,

Do you have news about this case? this is a very simple change and
is causing a problem on vpopmail port, because people believe this
option is the only necessary change to make authentication works
fine, but it doesn't happen.

If you have no time, i can make the commit for you.

Thanks
-- 
Renato Botelho <garga @ FreeBSD.org>
               <freebsd @ galle.com.br>
GnuPG Key: http://www.FreeBSD.org/~garga/pubkey.asc
Comment 5 Peter Pentchev freebsd_committer 2006-01-27 13:47:52 UTC
State Changed
From-To: open->closed

I just committed the patch.  Sorry for the delay, and thanks!